%define module	bioperl-run
%define name	perl-%{module}
%define version 1.5.1
%define release %mkrel 3

%define _requires_exceptions perl(Bio::Root::AccessorMaker)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	BioPerl wrappers for external programs
Group:		Development/Perl
License:	Artistic
Source:		http://bioperl.org/DIST/%{module}-%{version}.tar.bz2
URL:		http://www.bioperl.org
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Obsoletes:	perl-Bioperl-Run
Provides:	perl-Bioperl-Run
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# most of the check useanon-packaged  external tools, so they are useless there

%install
%{__rm} -rf %{buildroot}
%makeinstall_std
%{__rm} -f %{buildroot}%{perl_vendorlib}/bptutorial.pl
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS Changes INSTALL.PROGRAMS README examples
%{perl_vendorlib}/Bio
%{_mandir}/man3/*

%changelog
* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-3mdv2007.0
- Rebuild

* Mon Mar 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-2mdk
- add a dependency exception

* Wed Jan 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.1-1mdk
- new version

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-4mdk
- spec cleanup
- corrected name

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-3mdk
- fix buildrequires in a backward compatible way

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-2mdk 
- rpmbuildupdate aware

* Tue Dec 30 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.4-1mdk
- new version

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.2.2-3mdk
- Use %%makeinstall_std now that it works on klama

* Fri Aug  1 2003 Ben Reser <ben@reser.org> 1.2.2-2mdk
- macroification
- Fix man path
- Fix unpackaged perllocal.pod

* Sun Jul 27 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2.2-1mdk
- first mdk release
